using System;
class
{
    static void Main()
    {
        string[] prva=Console.ReadLine().Split();
        int a=int.Parse(prva[0]);
        int b=int.Parse(prva[1]);
        string[] druga=Console.ReadLine().Split();
        int x=int.Parse(druga[0]);
        int y=int.Parse(druga[1]);
        if(b==y && a>x)
        {
            Console.WriteLine("prvi");
        }
        else if(b>y && a==x)
        {
            Console.WriteLine("drugi");
        }
        else if(b==y && a==x)
        {
            Console.WriteLine("nijedan");
        }
        else
        {
            Console.WriteLine("?");
        }
    }
}